OGRE-Next: Ogre::TRect< T > Struct Template Reference

| OGRE-Next 3.0.0 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
Ogre::TRect< T > Struct Template Reference
Core » General

`#include <OgreCommon.h>`

## Public Member Functions
| TRect ()
| TRect (T const &l, T const &t, T const &r, T const &b)
| TRect (TRect const &o)
T | height () const
TRect | intersect (const TRect &rhs) const
bool | isNull () const
TRect & | merge (const TRect &rhs)
TRect & | operator= (TRect const &o)
void | setNull ()
T | width () const

## Public Attributes
T | bottom
T | left
T | right
T | top

## Constructor & Destructor Documentation

## ◆ TRect() [1/3]

template<typename T>

Ogre::TRect< T >::TRect | ( |  | ) |
| inline

## ◆ TRect() [2/3]

template<typename T>

Ogre::TRect< T >::TRect | ( | T const & | l,
|  | T const & | t,
|  | T const & | r,
|  | T const & | b )
| inline

## ◆ TRect() [3/3]

template<typename T>

Ogre::TRect< T >::TRect | ( | TRect< T > const & | o | ) |
| inline

## Member Function Documentation

## ◆ height()

template<typename T>

T Ogre::TRect< T >::height | ( |  | ) | const
| inline

Referenced by Ogre::TRect< float >::isNull().

## ◆ intersect()

template<typename T>

TRect Ogre::TRect< T >::intersect | ( | const TRect< T > & | rhs | ) | const
| inline

## ◆ isNull()

template<typename T>

bool Ogre::TRect< T >::isNull | ( |  | ) | const
| inline

Referenced by Ogre::TRect< float >::intersect(), and Ogre::TRect< float >::merge().

## ◆ merge()

template<typename T>

TRect & Ogre::TRect< T >::merge | ( | const TRect< T > & | rhs | ) |
| inline

## ◆ operator=()

template<typename T>

TRect & Ogre::TRect< T >::operator= | ( | TRect< T > const & | o | ) |
| inline

## ◆ setNull()

template<typename T>

void Ogre::TRect< T >::setNull | ( |  | ) |
| inline

## ◆ width()

template<typename T>

T Ogre::TRect< T >::width | ( |  | ) | const
| inline

Referenced by Ogre::TRect< float >::isNull().

## Member Data Documentation

## ◆ bottom

template<typename T>

T Ogre::TRect< T >::bottom

Referenced by Ogre::TRect< float >::intersect(), Ogre::TRect< float >::merge(), and Ogre::TRect< float >::operator=().

## ◆ left

template<typename T>

T Ogre::TRect< T >::left

Referenced by Ogre::TRect< float >::intersect(), Ogre::TRect< float >::merge(), and Ogre::TRect< float >::operator=().

## ◆ right

template<typename T>

T Ogre::TRect< T >::right

Referenced by Ogre::TRect< float >::intersect(), Ogre::TRect< float >::merge(), and Ogre::TRect< float >::operator=().

## ◆ top

template<typename T>

T Ogre::TRect< T >::top

Referenced by Ogre::TRect< float >::intersect(), Ogre::TRect< float >::merge(), and Ogre::TRect< float >::operator=().

The documentation for this struct was generated from the following file:

- OgreCommon.h